For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet an API key
Get StartedGuidesAPI ReferenceSDKsChangelog
Get StartedGuidesAPI ReferenceSDKsChangelog
  • Meta
    • GETGet current identity
    • GETLiveness probe
  • Customers
    • GETList customers
    • POSTCreate a customer
    • GETRetrieve a customer
    • DELDelete a customer
    • PATCHUpdate a customer
  • Contacts
    • GETList a customer's contacts
    • POSTAdd a contact to a customer
    • GETRetrieve a contact
    • DELDelete a contact
    • PATCHUpdate a contact
  • Onboardings
    • GETList onboardings
    • POSTCreate an onboarding
    • GETList a customer's onboardings
    • GETRetrieve an onboarding
    • DELDelete an onboarding
    • PATCHUpdate an onboarding
LogoLogo
DashboardGet an API key
Meta

Liveness probe

|View as Markdown|Open in Claude|
GET
https://my.pivotal.app/api/v1/health
GET
/api/v1/health
1const url = 'https://my.pivotal.app/api/v1/health';
2const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
200Retrieved
1{
2 "status": "ok",
3 "timestamp": "2024-06-01T12:00:00Z"
4}

Unauthenticated. Returns 200 if the process is up. Use this for uptime monitoring; for a deeper integration probe see /api/health/deep on the canonical host.

Was this page helpful?
Previous

Get current identity

Next

List customers

Built with

Response

OK
statusenum
Allowed values:
timestampstring